CachedSqlEntityProcessor (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.dataimport.CachedSqlEntityProcessor class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.dataimport
Class CachedSqlEntityProcessor

    java.lang.Object
      org.apache.solr.handler.dataimport.EntityProcessor
          org.apache.solr.handler.dataimport.EntityProcessorBase
              org.apache.solr.handler.dataimport.SqlEntityProcessor
                  org.apache.solr.handler.dataimport.CachedSqlEntityProcessor

Deprecated. - Use SqlEntityProcessor with cacheImpl parameter.

    @Deprecated
    public class CachedSqlEntityProcessor

extends SqlEntityProcessor

This class enables caching of data obtained from the DB to avoid too many sql queries

Refer to http://wiki.apache .org/solr/DataImportHandler for more details.

This API is experimental and subject to change

Since:
  solr 1.3
Version:
  $Id: CachedSqlEntityProcessor.java 1303792 2012-03-22 14:11:16Z jdyer $

Field Summary

Fields inherited from class org.apache.solr.handler.dataimport.SqlEntityProcessor
`dataSource, DEL_PK_QUERY, DELTA_IMPORT_QUERY, DELTA_QUERY, DOT_PATTERN, PARENT_DELTA_QUERY, QUERY`

Fields inherited from class org.apache.solr.handler.dataimport.EntityProcessorBase
`ABORT, cacheSupport, context, CONTINUE, entityName, isFirstInit, ON_ERROR, onError, query, rowIterator, SKIP, SKIP_DOC, TRANSFORM_ROW, TRANSFORMER`

Constructor Summary
`CachedSqlEntityProcessor()` Deprecated.

Method Summary
`protected void` | `initCache(Context context)` Deprecated.

Methods inherited from class org.apache.solr.handler.dataimport.SqlEntityProcessor
`getDeltaImportQuery, getQuery, init, initQuery, nextDeletedRowKey, nextModifiedParentRowKey, nextModifiedRowKey, nextRow`

Methods inherited from class org.apache.solr.handler.dataimport.EntityProcessorBase
`destroy, firstInit, getNext`

Methods inherited from class org.apache.solr.handler.dataimport.EntityProcessor
`close, postTransform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CachedSqlEntityProcessor

    public CachedSqlEntityProcessor()

  Deprecated.

Method Detail

### initCache

    protected void initCache(Context context)

  Deprecated.
  Overrides:
    `initCache` in class `EntityProcessorBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD